Class | Ferret::Analysis::WhiteSpaceAnalyzer
In: | ext/r_analysis.c
Parent: | Ferret::Analysis::Analyzer

## Summary

The WhiteSpaceAnalyzer recognizes tokens as maximal strings of non-whitespace characters. If implemented in Ruby the WhiteSpaceAnalyzer would look like;

      class WhiteSpaceAnalyzer
        def initialize(lower = true)
          @lower = lower
        end

        def token_stream(field, str)
          return WhiteSpaceTokenizer.new(str, @lower)
        end
      end

As you can see it makes use of the WhiteSpaceTokenizer.

### Methods

new

### Public Class methods

WhiteSpaceAnalyzer.new(lower = false) → analyzer

Create a new WhiteSpaceAnalyzer which downcases tokens by default but can optionally leave case as is. Lowercasing will be done based on the current locale.

lower: | set to false if you don‘t want the field‘s tokens to be downcased

[Validate]